Bug 496983 - gnash in firefox high CPU
gnash in firefox high CPU
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
https://savannah.gnu.org/bugs/index.p...
: Reopened
: 666672 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 18:16 EDT by Flóki Pálsson
Modified: 2011-03-28 06:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-30 08:17:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 91910 None None None Never

  None (edit)
Description Flóki Pálsson 2009-04-21 18:16:22 EDT
Description of problem:
gnash in firefox consumes high CPU if swfdec is missing.
In http://www.mbl.is/mm/frettir/ cpu is 100 %.
in http://media.ffii.org/animation/How%20software%20patents%20work.ogg
cpu about 87 %,  if the site is open in more than four taps cpu goes uppt 100 % and firefox crashes. 

IF swfdec is innstalle then cpu is more resonable. 

Version-Release number of selected component (if applicable):
gnash.x86_64 0.8.5-3.fc11
gnash-plugin.x86_64 0.8.5-3.fc11

swfdec.x86_64 0.9.2-2.fc11
swfdec-gtk.x86_64 0.9.2-2.fc11
swfdec-mozilla.x86_64 0.9.2-2.fc11

firefox-3.1-0.11.beta3.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1.
open System Monitor 
open in firefox How%20software%20patents%20work
2.
3.
  
Actual results:
high cpu

Expected results:
reasonable cpu as when swfdec is innstalled.  

Additional info:
when swfdec is installed then cpu is much lower.
wait a little time for patents window, if is opened in many windows firefox crashes.
Comment 1 Kevin Kofler 2009-04-22 08:00:16 EDT
swfdec is a different alternative to gnash, most likely you're getting swfdec when both are installed.
Comment 2 Flóki Pálsson 2009-04-22 13:48:02 EDT
This is also in F10 ( was  fully updated ).
Comment 3 Kevin Kofler 2009-04-22 20:25:50 EDT
I think it's really a general Gnash issue, not related to the distribution at all.

(Also note that installing swfdec isn't a fix for gnash, it's installing a completely different Flash player.)

You should probably file this upstream.

> http://media.ffii.org/animation/How%20software%20patents%20work.ogg
This is an Ogg Theora video, not Flash at all, I don't see how this one is related to Gnash.
On the other hand, http://www.mbl.is/mm/frettir/ does look like a valid testcase.
Comment 4 Flóki Pálsson 2009-04-23 08:46:49 EDT
>You should probably file this upstream.
see
https://savannah.gnu.org/bugs/index.php?26307
Comment 5 Flóki Pálsson 2009-06-01 13:40:47 EDT
the one in #4 was in a wrog place
se
https://savannah.gnu.org/bugs/index.php?26718
Comment 6 Bug Zapper 2009-06-09 10:21:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 RJ 2009-12-04 03:16:03 EST
I can confirm this one for Fedora 12 and gnash 0.9-20090809 (http://www.mbl.is/mm/frettir/ cpu is 100 %.)
Comment 8 Bug Zapper 2010-04-27 09:52:00 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 08:09:30 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Massimiliano 2010-12-28 13:02:06 EST
The same problem in Fedora 14:

gnash-0.8.8-4.fc14.x86_64
gnash-plugin-0.8.8-4.fc14.x86_64

The bug in #5 is still open. Also Ubuntu seems to have the same problem:

https://bugs.launchpad.net/ubuntu/+source/gnash/+bug/91910
Comment 11 Kevin Kofler 2011-01-02 09:28:32 EST
*** Bug 666672 has been marked as a duplicate of this bug. ***
Comment 12 udo 2011-01-02 10:19:24 EST
Please vote for the gnash bug as mentioned in comment 5, see https://savannah.gnu.org/bugs/index.php?26718 and log in to vote.
This may help attract attention to get it fixed.
Comment 13 udo 2011-01-03 12:44:16 EST
Is gnash uses much CPU cycles, why does it even display ads? I mean: with flash-plugin from adobe and adblock etc I had no flash ads.
But with an open source solution I do see ads!?
I mean: we don't want to see ads overlaying our video. SO please do not waste cycles at them, or at least make that a documented, configurable option.
Thanks.
Comment 14 Fedora Admin XMLRPC Client 2011-01-29 17:03:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2011-01-29 17:04:51 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Hicham HAOUARI 2011-01-30 08:17:40 EST
High CPU is due to no hwaccel with the agg renderer which is default. There is XV accel which is badly broken, vaapi which works with intel/nvidia cards AFAIK.

There is nothing we can do about that in downstream fedora, so I am closing this as upstream.
Comment 17 udo 2011-01-30 08:37:01 EST
If you can ship a product that can bring a box to grinding halt by just using it in a normal way AND sit back and sigh the 'upstream' mantra, then something is severely missing.
Why can't we signal 'upstream' that there is a problem?!
Comment 18 Kevin Kofler 2011-01-30 12:03:47 EST
> vaapi which works with intel/nvidia cards AFAIK.

Last I checked, vaapi was only supported if you build Gnash against FFmpeg instead of GStreamer, which we can't do in Fedora.

> Why can't we signal 'upstream' that there is a problem?!

AFAIK, upstream knows very well that their stuff is slow. But making it fast requires basically rewriting the whole thing.

Note You need to log in before you can comment on or make changes to this bug.